<template>
  <span class="badge" :class="type">
    {{ text }}
  </span>
</template>

<script>
export default {
  props: ['type', 'title'],
  computed: {
    text: function() {
      return this.title.toUpperCase();
    }
  }
};
</script>

<style scoped>
.badge {
  background-color: #ccc;
  color: #252525;
  border-radius: 30px;
  padding: 0.5rem 1rem;
  display: inline-block;
  margin-right: 0.5rem;
  font-size: small;
}

.frontend {
  background-color: #1cb7d3;
  color: white;
}

.backend {
  background-color: #1795ac;
  color: white;
}

.career {
  background-color: #0f5c69;
  color: white;
}
</style>
